/* SessionCleanup.p */

DEFINE INPUT PARAMETER pcSecToken AS CHARACTER NO-UNDO.


DEFINE VAR cSecToken AS CHAR NO-UNDO.
DEFINE VAR cSessionID AS CHAR NO-UNDO.
DEFINE VAR rKey AS RAW NO-UNDO.
DEFINE VAR cAuthCP AS CLASS AuthCP.

cAuthCP = NEW AuthCP().

rKey = cAuthCP:getPBKey().

DELETE OBJECT cAuthCP.


cSecToken = STRING(DECRYPT(BASE64-DECODE(pcSecToken), rKey)).



cSessionID = cSecToken.

FIND CPObject WHERE CPObject.SessionID = cSessionID EXCLUSIVE-LOCK NO-ERROR.
IF AVAIL CPObject THEN DELETE CPObject.
