/* authenticate.p */

DEFINE INPUT PARAMETER pcUserID AS CHAR NO-UNDO.
DEFINE INPUT PARAMETER pcPasswd AS CHAR NO-UNDO.
DEFINE OUTPUT PARAMETER pcSecToken AS CHARACTER NO-UNDO.
DEFINE OUTPUT PARAMETER plStatus AS LOGICAL NO-UNDO.
DEFINE OUTPUT PARAMETER pcMessage AS CHAR NO-UNDO.
DEFINE OUTPUT PARAMETER prCPObject AS RAW NO-UNDO.

DEFINE VAR cAuthCP AS CLASS AuthCP.
DEFINE VAR iErr AS INTEGER NO-UNDO.


cAuthCP = NEW AuthCP().


plStatus = cAuthCP:CreateCPObject(INPUT pcUserID, 
                                  INPUT pcPasswd,
                                  OUTPUT pcMessage,
                                  OUTPUT pcSecToken,
                                  OUTPUT prCPObject).
                                    



CATCH eSysError AS Progress.Lang.Error:
    
    DO iErr = 1 TO eSysError:NumMessages:
        pcMessage = SUBSTITUTE('&1~n&2', pcMessage, eSysError:GetMessage(iErr)).
    END.
		
END CATCH.
FINALLY:
  IF VALID-OBJECT(cAuthCP) THEN 
    DELETE OBJECT cAuthCP NO-ERROR.  		
END FINALLY.
