&ANALYZE-SUSPEND _VERSION-NUMBER AB_v10r12 GUI
&ANALYZE-RESUME
&Scoped-define WINDOW-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS C-Win 
/*------------------------------------------------------------------------

  File: 

  Description: 

  Input Parameters:
      <none>

  Output Parameters:
      <none>

  Author: 

  Created: 

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/

/* Create an unnamed pool to store all the widgets created 
     by this procedure. This is a good default which assures
     that this procedure's triggers and internal procedures 
     will execute in this procedure's storage, and that proper
     cleanup will occur on deletion of the procedure. */

CREATE WIDGET-POOL.

/* ***************************  Definitions  ************************** */

/* Parameters Definitions ---                                           */

/* Local Variable Definitions ---                                       */

define input parameter prCPObject as raw.

define var cSessionID as char no-undo.
define var cAccessKey as char no-undo.

define var hClientPrincipal as handle no-undo.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Window
&Scoped-define DB-AWARE no

/* Name of designated FRAME-NAME and/or first browse and/or first query */
&Scoped-define FRAME-NAME DEFAULT-FRAME

/* Standard List Definitions                                            */
&Scoped-Define ENABLED-OBJECTS RECT-4 RECT-5 RECT-6 RECT-7 BUTTON-12 ~
cUserID1 cUserID2 cCPUserID cUserRoles cDomainName cSealTimestamp ~
cLoginHost cLoginExpTimestamp cCPSessionID cNow cLoginState cCustomProperty ~
cStateDetail BtnDone 
&Scoped-Define DISPLAYED-OBJECTS cUserID1 cUserID2 cCPUserID cUserRoles ~
cDomainName cSealTimestamp cLoginHost cLoginExpTimestamp cCPSessionID cNow ~
cLoginState cCustomProperty cStateDetail 

/* Custom List Definitions                                              */
/* List-1,List-2,List-3,List-4,List-5,List-6                            */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* ***********************  Control Definitions  ********************** */

/* Define the widget handle for the window                              */
DEFINE VAR C-Win AS WIDGET-HANDLE NO-UNDO.

/* Definitions of the field level widgets                               */
DEFINE BUTTON BtnDone DEFAULT 
     LABEL "&Done" 
     SIZE 15 BY 1.14
     BGCOLOR 8 .

DEFINE BUTTON BUTTON-12 
     LABEL "Open CP Object" 
     SIZE 27 BY 1.14.

DEFINE VARIABLE cCPSessionID AS CHARACTER FORMAT "X(256)":U 
     LABEL "SessionID" 
     VIEW-AS FILL-IN 
     SIZE 32 BY 1 NO-UNDO.

DEFINE VARIABLE cCPUserID AS CHARACTER FORMAT "X(256)":U 
     LABEL "CP Userid/Roles" 
     VIEW-AS FILL-IN 
     SIZE 20 BY 1 NO-UNDO.

DEFINE VARIABLE cCustomProperty AS CHARACTER FORMAT "X(256)":U 
     LABEL "CustomProperty" 
     VIEW-AS FILL-IN 
     SIZE 38 BY 1 NO-UNDO.

DEFINE VARIABLE cDomainName AS CHARACTER FORMAT "X(256)":U 
     LABEL "DomainName" 
     VIEW-AS FILL-IN 
     SIZE 32 BY 1 NO-UNDO.

DEFINE VARIABLE cLoginExpTimestamp AS DATETIME-TZ FORMAT "99/99/99 HH:MM+HH:MM":U 
     LABEL "LoginExpTimestamp" 
     VIEW-AS FILL-IN 
     SIZE 37.8 BY 1 NO-UNDO.

DEFINE VARIABLE cLoginHost AS CHARACTER FORMAT "X(256)":U 
     LABEL "LoginHost" 
     VIEW-AS FILL-IN 
     SIZE 32 BY 1 NO-UNDO.

DEFINE VARIABLE cLoginState AS CHARACTER FORMAT "X(256)":U 
     LABEL "LoginState" 
     VIEW-AS FILL-IN 
     SIZE 32 BY 1 NO-UNDO.

DEFINE VARIABLE cNow AS DATETIME-TZ FORMAT "99/99/99 HH:MM+HH:MM":U 
     LABEL "Now" 
     VIEW-AS FILL-IN 
     SIZE 38 BY 1 NO-UNDO.

DEFINE VARIABLE cSealTimestamp AS DATETIME-TZ FORMAT "99/99/99 HH:MM+HH:MM":U 
     LABEL "SealTimestamp" 
     VIEW-AS FILL-IN 
     SIZE 37.8 BY 1 NO-UNDO.

DEFINE VARIABLE cStateDetail AS CHARACTER FORMAT "X(256)":U 
     LABEL "StateDetail" 
     VIEW-AS FILL-IN 
     SIZE 98 BY 1 NO-UNDO.

DEFINE VARIABLE cUserID1 AS CHARACTER FORMAT "X(256)":U 
     LABEL "DB Sports2000 UserID" 
     VIEW-AS FILL-IN 
     SIZE 20 BY 1 NO-UNDO.

DEFINE VARIABLE cUserID2 AS CHARACTER FORMAT "X(256)":U 
     LABEL "DB Security UserID" 
     VIEW-AS FILL-IN 
     SIZE 20 BY 1 NO-UNDO.

DEFINE VARIABLE cUserRoles AS CHARACTER FORMAT "X(256)":U 
     VIEW-AS FILL-IN 
     SIZE 33 BY 1 NO-UNDO.

DEFINE RECTANGLE RECT-4
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 137.4 BY 2.14.

DEFINE RECTANGLE RECT-5
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 137.4 BY 4.29.

DEFINE RECTANGLE RECT-6
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 137.4 BY 7.05.

DEFINE RECTANGLE RECT-7
     EDGE-PIXELS 2 GRAPHIC-EDGE  NO-FILL   
     SIZE 137.4 BY 2.14.


/* ************************  Frame Definitions  *********************** */

DEFINE FRAME DEFAULT-FRAME
     BUTTON-12 AT ROW 1.33 COL 54 WIDGET-ID 24
     cUserID1 AT ROW 3.62 COL 25 COLON-ALIGNED WIDGET-ID 6
     cUserID2 AT ROW 4.81 COL 25 COLON-ALIGNED WIDGET-ID 32
     cCPUserID AT ROW 6 COL 25 COLON-ALIGNED WIDGET-ID 58
     cUserRoles AT ROW 6 COL 46 COLON-ALIGNED NO-LABEL WIDGET-ID 60
     cDomainName AT ROW 8 COL 17 COLON-ALIGNED WIDGET-ID 46
     cSealTimestamp AT ROW 8.24 COL 76.2 COLON-ALIGNED WIDGET-ID 54
     cLoginHost AT ROW 9.19 COL 17 COLON-ALIGNED WIDGET-ID 48
     cLoginExpTimestamp AT ROW 9.43 COL 76.2 COLON-ALIGNED WIDGET-ID 56
     cCPSessionID AT ROW 10.38 COL 17 COLON-ALIGNED WIDGET-ID 50
     cNow AT ROW 10.52 COL 76 COLON-ALIGNED WIDGET-ID 68
     cLoginState AT ROW 11.57 COL 17 COLON-ALIGNED WIDGET-ID 52
     cCustomProperty AT ROW 11.57 COL 76 COLON-ALIGNED WIDGET-ID 62
     cStateDetail AT ROW 12.76 COL 17 COLON-ALIGNED WIDGET-ID 64
     BtnDone AT ROW 15.14 COL 120 WIDGET-ID 42
     RECT-4 AT ROW 1 COL 1 WIDGET-ID 34
     RECT-5 AT ROW 3.14 COL 1 WIDGET-ID 36
     RECT-6 AT ROW 7.52 COL 1 WIDGET-ID 38
     RECT-7 AT ROW 14.62 COL 1 WIDGET-ID 40
    WITH 1 DOWN NO-BOX KEEP-TAB-ORDER OVERLAY 
         SIDE-LABELS NO-UNDERLINE THREE-D 
         AT COL 1 ROW 1
         SIZE 137.4 BY 15.91
         DEFAULT-BUTTON BtnDone WIDGET-ID 100.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Window
   Allow: Basic,Browse,DB-Fields,Window,Query
   Other Settings: COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
IF SESSION:DISPLAY-TYPE = "GUI":U THEN
  CREATE WINDOW C-Win ASSIGN
         HIDDEN             = YES
         TITLE              = "Inspect CP Object"
         HEIGHT             = 15.91
         WIDTH              = 137.4
         MAX-HEIGHT         = 25
         MAX-WIDTH          = 137.4
         VIRTUAL-HEIGHT     = 25
         VIRTUAL-WIDTH      = 137.4
         RESIZE             = yes
         SCROLL-BARS        = no
         STATUS-AREA        = no
         BGCOLOR            = ?
         FGCOLOR            = ?
         KEEP-FRAME-Z-ORDER = yes
         THREE-D            = yes
         MESSAGE-AREA       = no
         SENSITIVE          = yes.
ELSE {&WINDOW-NAME} = CURRENT-WINDOW.
/* END WINDOW DEFINITION                                                */
&ANALYZE-RESUME



/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR WINDOW C-Win
  VISIBLE,,RUN-PERSISTENT                                               */
/* SETTINGS FOR FRAME DEFAULT-FRAME
   FRAME-NAME                                                           */
IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
THEN C-Win:HIDDEN = no.

/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME

 



/* ************************  Control Triggers  ************************ */

&Scoped-define SELF-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON END-ERROR OF C-Win /* Inspect CP Object */
OR ENDKEY OF {&WINDOW-NAME} ANYWHERE DO:
  /* This case occurs when the user presses the "Esc" key.
     In a persistently run window, just ignore this.  If we did not, the
     application would exit. */
  IF THIS-PROCEDURE:PERSISTENT THEN RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON WINDOW-CLOSE OF C-Win /* Inspect CP Object */
DO:
  /* This event will close the window and terminate the procedure.  */

  RUN DestroySession.
  APPLY "CLOSE":U TO THIS-PROCEDURE.
  RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnDone
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnDone C-Win
ON CHOOSE OF BtnDone IN FRAME DEFAULT-FRAME /* Done */
DO:
  &IF "{&PROCEDURE-TYPE}" EQ "SmartPanel" &THEN
    &IF "{&ADM-VERSION}" EQ "ADM1.1" &THEN
      RUN dispatch IN THIS-PROCEDURE ('exit').
    &ELSE
      RUN exitObject.
    &ENDIF
  &ELSE
      APPLY "CLOSE":U TO THIS-PROCEDURE.
  &ENDIF
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BUTTON-12
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BUTTON-12 C-Win
ON CHOOSE OF BUTTON-12 IN FRAME DEFAULT-FRAME /* Open CP Object */
DO:
  RUN createClientPrincipal.

  DO WITH FRAME {&FRAME-NAME}:
      ASSIGN
      cUserID1:SCREEN-VALUE  = USERID('sports2000')
      cUserID2:SCREEN-VALUE  = USERID('security')
      cCPUserID:SCREEN-VALUE = hClientPrincipal:USER-ID.

      ASSIGN
      cDomainName:SCREEN-VALUE =  hClientPrincipal:DOMAIN-NAME 
      cLoginHost:SCREEN-VALUE = hClientPrincipal:LOGIN-HOST
      cCPSessionID:SCREEN-VALUE = hClientPrincipal:SESSION-ID 
      cLoginState:SCREEN-VALUE = hClientPrincipal:LOGIN-STATE
      cSealTimestamp:SCREEN-VALUE =  STRING(hClientPrincipal:SEAL-TIMESTAMP)
      cLoginExpTimestamp:SCREEN-VALUE = STRING(hClientPrincipal:LOGIN-EXPIRATION-TIMESTAMP) 
      cUserRoles:SCREEN-VALUE = hClientPrincipal:ROLES
      cStateDetail:SCREEN-VALUE = hClientPrincipal:STATE-DETAIL
      cCustomProperty:SCREEN-VALUE = hClientPrincipal:GET-PROPERTY('UserPlant').

      cNow = NOW.

      DISPLAY cNow WITH FRAME {&FRAME-NAME}.



  END.
  
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&UNDEFINE SELF-NAME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK C-Win 


/* ***************************  Main Block  *************************** */

/* Set CURRENT-WINDOW: this will parent dialog-boxes and frames.        */
ASSIGN CURRENT-WINDOW                = {&WINDOW-NAME} 
       THIS-PROCEDURE:CURRENT-WINDOW = {&WINDOW-NAME}.

/* The CLOSE event can be used from inside or outside the procedure to  */
/* terminate it.                                                        */
ON CLOSE OF THIS-PROCEDURE 
   RUN disable_UI.

/* Best default for GUI applications is...                              */
PAUSE 0 BEFORE-HIDE.

C-Win:PARENT = SOURCE-PROCEDURE:CURRENT-WINDOW.

/* Now enable the interface and wait for the exit condition.            */
/* (NOTE: handle ERROR and END-KEY so cleanup code will always fire.    */
MAIN-BLOCK:
DO ON ERROR   UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
   ON END-KEY UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK:
  RUN enable_UI.
  IF NOT THIS-PROCEDURE:PERSISTENT THEN
    WAIT-FOR CLOSE OF THIS-PROCEDURE.

 
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE createClientPrincipal C-Win 
PROCEDURE createClientPrincipal :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
define var cDomainAccessKey as char no-undo.
define var cSecToken as char no-undo.
define var rKey as raw no-undo.


SECURITY-POLICY:LOAD-DOMAINS('security') NO-ERROR.

create client-principal hClientPrincipal.



hClientPrincipal:import-principal(prCPObject) no-error.



if hClientPrincipal:login-state = 'login' then do:

  SET-DB-CLIENT(hClientPrincipal, 'sports2000').
  SET-DB-CLIENT(hClientPrincipal, 'security').

end.



END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE DestroySession C-Win 
PROCEDURE DestroySession :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
 if valid-handle(hClientPrincipal) then
    delete object hClientPrincipal.


END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI C-Win  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Delete the WINDOW we created */
  IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
  THEN DELETE WIDGET C-Win.
  IF THIS-PROCEDURE:PERSISTENT THEN DELETE PROCEDURE THIS-PROCEDURE.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE enable_UI C-Win  _DEFAULT-ENABLE
PROCEDURE enable_UI :
/*------------------------------------------------------------------------------
  Purpose:     ENABLE the User Interface
  Parameters:  <none>
  Notes:       Here we display/view/enable the widgets in the
               user-interface.  In addition, OPEN all queries
               associated with each FRAME and BROWSE.
               These statements here are based on the "Other 
               Settings" section of the widget Property Sheets.
------------------------------------------------------------------------------*/
  DISPLAY cUserID1 cUserID2 cCPUserID cUserRoles cDomainName cSealTimestamp 
          cLoginHost cLoginExpTimestamp cCPSessionID cNow cLoginState 
          cCustomProperty cStateDetail 
      WITH FRAME DEFAULT-FRAME IN WINDOW C-Win.
  ENABLE RECT-4 RECT-5 RECT-6 RECT-7 BUTTON-12 cUserID1 cUserID2 cCPUserID 
         cUserRoles cDomainName cSealTimestamp cLoginHost cLoginExpTimestamp 
         cCPSessionID cNow cLoginState cCustomProperty cStateDetail BtnDone 
      WITH FRAME DEFAULT-FRAME IN WINDOW C-Win.
  {&OPEN-BROWSERS-IN-QUERY-DEFAULT-FRAME}
  VIEW C-Win.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

