&ANALYZE-SUSPEND _VERSION-NUMBER AB_v10r12 GUI
&ANALYZE-RESUME
/* Connected Databases 
          security         PROGRESS
*/
&Scoped-define WINDOW-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS C-Win 
/*------------------------------------------------------------------------

  File: 

  Description: 

  Input Parameters:
      <none>

  Output Parameters:
      <none>

  Author: 

  Created: 

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/

/* Create an unnamed pool to store all the widgets created 
     by this procedure. This is a good default which assures
     that this procedure's triggers and internal procedures 
     will execute in this procedure's storage, and that proper
     cleanup will occur on deletion of the procedure. */

CREATE WIDGET-POOL.

/* ***************************  Definitions  ************************** */

/* Parameters Definitions ---                                           */

/* Local Variable Definitions ---                                       */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Window
&Scoped-define DB-AWARE no

/* Name of first Frame and/or Browse and/or first Query                 */
&Scoped-define FRAME-NAME DEFAULT-FRAME

/* Internal Tables (found by Frame, Query & Browse Queries)             */
&Scoped-define INTERNAL-TABLES Identity

/* Definitions for FRAME DEFAULT-FRAME                                  */
&Scoped-define FIELDS-IN-QUERY-DEFAULT-FRAME Identity.identityID ~
Identity.identityName Identity.identityRoles 
&Scoped-define ENABLED-FIELDS-IN-QUERY-DEFAULT-FRAME Identity.identityID ~
Identity.identityName Identity.identityRoles 
&Scoped-define ENABLED-TABLES-IN-QUERY-DEFAULT-FRAME Identity
&Scoped-define FIRST-ENABLED-TABLE-IN-QUERY-DEFAULT-FRAME Identity
&Scoped-define QUERY-STRING-DEFAULT-FRAME FOR EACH Identity SHARE-LOCK
&Scoped-define OPEN-QUERY-DEFAULT-FRAME OPEN QUERY DEFAULT-FRAME FOR EACH Identity SHARE-LOCK.
&Scoped-define TABLES-IN-QUERY-DEFAULT-FRAME Identity
&Scoped-define FIRST-TABLE-IN-QUERY-DEFAULT-FRAME Identity


/* Standard List Definitions                                            */
&Scoped-Define ENABLED-FIELDS Identity.identityID Identity.identityName ~
Identity.identityRoles 
&Scoped-define ENABLED-TABLES Identity
&Scoped-define FIRST-ENABLED-TABLE Identity
&Scoped-Define ENABLED-OBJECTS bAdd bSave bDelete bCancel cPassword ~
BtnFirst BtnPrev BtnNext BtnLast 
&Scoped-Define DISPLAYED-FIELDS Identity.identityID Identity.identityName ~
Identity.identityRoles 
&Scoped-define DISPLAYED-TABLES Identity
&Scoped-define FIRST-DISPLAYED-TABLE Identity
&Scoped-Define DISPLAYED-OBJECTS cPassword 

/* Custom List Definitions                                              */
/* List-1,List-2,List-3,List-4,List-5,List-6                            */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* ***********************  Control Definitions  ********************** */

/* Define the widget handle for the window                              */
DEFINE VAR C-Win AS WIDGET-HANDLE NO-UNDO.

/* Definitions of the field level widgets                               */
DEFINE BUTTON bAdd 
     LABEL "Add" 
     SIZE 15 BY 1.14.

DEFINE BUTTON bCancel 
     LABEL "Cancel" 
     SIZE 15 BY 1.14.

DEFINE BUTTON bDelete 
     LABEL "Delete" 
     SIZE 15 BY 1.14.

DEFINE BUTTON bSave 
     LABEL "Save" 
     SIZE 15 BY 1.14.

DEFINE BUTTON BtnFirst 
     LABEL "&First" 
     SIZE 15 BY 1.14
     BGCOLOR 8 .

DEFINE BUTTON BtnLast 
     LABEL "&Last" 
     SIZE 15 BY 1.14
     BGCOLOR 8 .

DEFINE BUTTON BtnNext 
     LABEL "&Next" 
     SIZE 15 BY 1.14
     BGCOLOR 8 .

DEFINE BUTTON BtnPrev 
     LABEL "&Prev" 
     SIZE 15 BY 1.14
     BGCOLOR 8 .

DEFINE VARIABLE cPassword AS CHARACTER FORMAT "X(256)":U 
     LABEL "Password" 
     VIEW-AS FILL-IN 
     SIZE 27 BY 1 NO-UNDO.

/* Query definitions                                                    */
&ANALYZE-SUSPEND
DEFINE QUERY DEFAULT-FRAME FOR 
      Identity SCROLLING.
&ANALYZE-RESUME

/* ************************  Frame Definitions  *********************** */

DEFINE FRAME DEFAULT-FRAME
     Identity.identityID AT ROW 1.71 COL 13 COLON-ALIGNED WIDGET-ID 2
          VIEW-AS FILL-IN 
          SIZE 16 BY 1
     bAdd AT ROW 1.71 COL 76 WIDGET-ID 20
     Identity.identityName AT ROW 2.91 COL 13 COLON-ALIGNED WIDGET-ID 4 FORMAT "x(20)"
          VIEW-AS FILL-IN 
          SIZE 36 BY 1
     bSave AT ROW 3.38 COL 76 WIDGET-ID 22
     Identity.identityRoles AT ROW 5.05 COL 15 NO-LABEL WIDGET-ID 6
          VIEW-AS EDITOR SCROLLBAR-VERTICAL
          SIZE 57 BY 4
     bDelete AT ROW 5.05 COL 76 WIDGET-ID 24
     bCancel AT ROW 6.71 COL 76 WIDGET-ID 26
     cPassword AT ROW 9.57 COL 13 COLON-ALIGNED WIDGET-ID 8 BLANK 
     BtnFirst AT ROW 11.71 COL 8 WIDGET-ID 12
     BtnPrev AT ROW 11.71 COL 25 WIDGET-ID 14
     BtnNext AT ROW 11.71 COL 42 WIDGET-ID 16
     BtnLast AT ROW 11.71 COL 59 WIDGET-ID 18
     "Roles:" VIEW-AS TEXT
          SIZE 8 BY .62 AT ROW 4.33 COL 7 WIDGET-ID 10
    WITH 1 DOWN NO-BOX KEEP-TAB-ORDER OVERLAY 
         SIDE-LABELS NO-UNDERLINE THREE-D 
         AT COL 1 ROW 1
         SIZE 92.8 BY 17.91 WIDGET-ID 100.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Window
   Allow: Basic,Browse,DB-Fields,Window,Query
   Other Settings: COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
IF SESSION:DISPLAY-TYPE = "GUI":U THEN
  CREATE WINDOW C-Win ASSIGN
         HIDDEN             = YES
         TITLE              = "<insert window title>"
         HEIGHT             = 17.91
         WIDTH              = 92.8
         MAX-HEIGHT         = 17.91
         MAX-WIDTH          = 92.8
         VIRTUAL-HEIGHT     = 17.91
         VIRTUAL-WIDTH      = 92.8
         RESIZE             = yes
         SCROLL-BARS        = no
         STATUS-AREA        = no
         BGCOLOR            = ?
         FGCOLOR            = ?
         KEEP-FRAME-Z-ORDER = yes
         THREE-D            = yes
         MESSAGE-AREA       = no
         SENSITIVE          = yes.
ELSE {&WINDOW-NAME} = CURRENT-WINDOW.
/* END WINDOW DEFINITION                                                */
&ANALYZE-RESUME



/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR WINDOW C-Win
  VISIBLE,,RUN-PERSISTENT                                               */
/* SETTINGS FOR FRAME DEFAULT-FRAME
                                                                        */
/* SETTINGS FOR FILL-IN Identity.identityName IN FRAME DEFAULT-FRAME
   EXP-FORMAT                                                           */
IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
THEN C-Win:HIDDEN = no.

/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME


/* Setting information for Queries and Browse Widgets fields            */

&ANALYZE-SUSPEND _QUERY-BLOCK FRAME DEFAULT-FRAME
/* Query rebuild information for FRAME DEFAULT-FRAME
     _TblList          = "security.Identity"
     _Query            is OPENED
*/  /* FRAME DEFAULT-FRAME */
&ANALYZE-RESUME

 



/* ************************  Control Triggers  ************************ */

&Scoped-define SELF-NAME C-Win
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON END-ERROR OF C-Win /* <insert window title> */
OR ENDKEY OF {&WINDOW-NAME} ANYWHERE DO:
  /* This case occurs when the user presses the "Esc" key.
     In a persistently run window, just ignore this.  If we did not, the
     application would exit. */
  IF THIS-PROCEDURE:PERSISTENT THEN RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL C-Win C-Win
ON WINDOW-CLOSE OF C-Win /* <insert window title> */
DO:
  /* This event will close the window and terminate the procedure.  */
  APPLY "CLOSE":U TO THIS-PROCEDURE.
  RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME bAdd
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL bAdd C-Win
ON CHOOSE OF bAdd IN FRAME DEFAULT-FRAME /* Add */
DO:
  bSave:private-data = 'a'.
  clear frame {&FRAME-NAME}.

END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME bCancel
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL bCancel C-Win
ON CHOOSE OF bCancel IN FRAME DEFAULT-FRAME /* Cancel */
DO:
  bSave:private-data = ''.

  display {&DISPLAYED-FIELDS} with frame {&FRAME-NAME}.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME bSave
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL bSave C-Win
ON CHOOSE OF bSave IN FRAME DEFAULT-FRAME /* Save */
DO:
  run AssignFields (input self:private-data).
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnFirst
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnFirst C-Win
ON CHOOSE OF BtnFirst IN FRAME DEFAULT-FRAME /* First */
DO:
  &IF "{&PROCEDURE-TYPE}" EQ "SmartPanel" &THEN
    &IF "{&ADM-VERSION}" EQ "ADM1.1" &THEN
      RUN notify IN THIS-PROCEDURE ("get-first") NO-ERROR.
    &ELSE
      PUBLISH "fetchFirst":U.
    &ENDIF
  &ELSEIF "{&TABLES-IN-QUERY-{&FRAME-NAME}}" ne "" &THEN
  /* This is a simple FIRST RECORD navigation button, useful for building
     test screens quickly.  NOTE: if there are no tables in the query, then
     this code will not compile; so use the preprocessor to skip it. */
      DEFINE VARIABLE op-supported AS LOGICAL.
      GET FIRST {&FRAME-NAME}.
      IF AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}} THEN DO:
          DISPLAY {&FIELDS-IN-QUERY-{&FRAME-NAME}} WITH FRAME {&FRAME-NAME}.
          {&OPEN-BROWSERS-IN-QUERY-{&FRAME-NAME}}
      END.
  &ENDIF
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME



&Scoped-define SELF-NAME BtnLast
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnLast C-Win
ON CHOOSE OF BtnLast IN FRAME DEFAULT-FRAME /* Last */
DO:
  &IF "{&PROCEDURE-TYPE}" EQ "SmartPanel" &THEN
    &IF "{&ADM-VERSION}" EQ "ADM1.1" &THEN
      RUN notify IN THIS-PROCEDURE ("get-last") NO-ERROR.
    &ELSE
      PUBLISH "fetchLast":U.
    &ENDIF
  &ELSEIF "{&TABLES-IN-QUERY-{&FRAME-NAME}}" ne "" &THEN
  /* This is a simple LAST RECORD navigation button, useful for building
     test screens quickly.  NOTE: if there are no tables in the query, then
     this code will not compile; so use the preprocessor to skip it. */
      GET LAST {&FRAME-NAME}.
      IF AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}} THEN DO:
   DISPLAY {&FIELDS-IN-QUERY-{&FRAME-NAME}} WITH FRAME {&FRAME-NAME}.
   {&OPEN-BROWSERS-IN-QUERY-{&FRAME-NAME}}
      END.
  &ENDIF
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME



&Scoped-define SELF-NAME BtnNext
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnNext C-Win
ON CHOOSE OF BtnNext IN FRAME DEFAULT-FRAME /* Next */
DO:
  &IF "{&PROCEDURE-TYPE}" EQ "SmartPanel" &THEN
    &IF "{&ADM-VERSION}" EQ "ADM1.1" &THEN
      RUN notify IN THIS-PROCEDURE ("get-next") NO-ERROR.
    &ELSE
      PUBLISH "fetchNext":U.
    &ENDIF
  &ELSEIF "{&TABLES-IN-QUERY-{&FRAME-NAME}}" ne "" &THEN
  /* This is a simple NEXT RECORD navigation button, useful for building
     test screens quickly.  NOTE: if there are no tables in the query, then
     this code will not compile; so use the preprocessor to skip it. */
      GET NEXT {&FRAME-NAME}.
      IF NOT AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}}
          THEN GET LAST {&FRAME-NAME}.
      IF AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}} THEN DO:
          DISPLAY {&FIELDS-IN-QUERY-{&FRAME-NAME}} WITH FRAME {&FRAME-NAME}.
   {&OPEN-BROWSERS-IN-QUERY-{&FRAME-NAME}}
      END.
  &ENDIF
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME



&Scoped-define SELF-NAME BtnPrev
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnPrev C-Win
ON CHOOSE OF BtnPrev IN FRAME DEFAULT-FRAME /* Prev */
DO:
  &IF "{&PROCEDURE-TYPE}" EQ "SmartPanel" &THEN
    &IF "{&ADM-VERSION}" EQ "ADM1.1" &THEN
      RUN notify IN THIS-PROCEDURE ("get-prev") NO-ERROR.
    &ELSE
      PUBLISH "fetchPrev":U.
    &ENDIF
  &ELSEIF "{&TABLES-IN-QUERY-{&FRAME-NAME}}" ne "" &THEN
  /* This is a simple PREV RECORD navigation button, useful for building
     test screens quickly.  NOTE: if there are no tables in the query, then
     this code will not compile; so use the preprocessor to skip it. */
      GET PREV {&FRAME-NAME}.
      IF NOT AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}}
      THEN GET FIRST {&FRAME-NAME}.
      IF AVAILABLE {&FIRST-TABLE-IN-QUERY-{&FRAME-NAME}} THEN DO:
 DISPLAY {&FIELDS-IN-QUERY-{&FRAME-NAME}} WITH FRAME {&FRAME-NAME}.
        {&OPEN-BROWSERS-IN-QUERY-{&FRAME-NAME}}
      END.
  &ENDIF
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME



&UNDEFINE SELF-NAME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK C-Win 


/* ***************************  Main Block  *************************** */

/* Set CURRENT-WINDOW: this will parent dialog-boxes and frames.        */
ASSIGN CURRENT-WINDOW                = {&WINDOW-NAME} 
       THIS-PROCEDURE:CURRENT-WINDOW = {&WINDOW-NAME}.

/* The CLOSE event can be used from inside or outside the procedure to  */
/* terminate it.                                                        */
ON CLOSE OF THIS-PROCEDURE 
   RUN disable_UI.

/* Best default for GUI applications is...                              */
PAUSE 0 BEFORE-HIDE.

/* Now enable the interface and wait for the exit condition.            */
/* (NOTE: handle ERROR and END-KEY so cleanup code will always fire.    */
MAIN-BLOCK:
DO ON ERROR   UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
   ON END-KEY UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK:
  RUN enable_UI.
  IF NOT THIS-PROCEDURE:PERSISTENT THEN
    WAIT-FOR CLOSE OF THIS-PROCEDURE.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE AssignFields C-Win 
PROCEDURE AssignFields :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
define input parameter pcMode as char.




if pcMode = 'a' then do:
    create Identity.

end.
else
  find current Identity exclusive-lock.

assign frame {&FRAME-NAME} {&ENABLED-FIELDS-IN-QUERY-{&FRAME-NAME}} cPassword.

if cPassword <> '' then
    Identity.IdentityKey = encode(cPassword).

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI C-Win  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Delete the WINDOW we created */
  IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(C-Win)
  THEN DELETE WIDGET C-Win.
  IF THIS-PROCEDURE:PERSISTENT THEN DELETE PROCEDURE THIS-PROCEDURE.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE enable_UI C-Win  _DEFAULT-ENABLE
PROCEDURE enable_UI :
/*------------------------------------------------------------------------------
  Purpose:     ENABLE the User Interface
  Parameters:  <none>
  Notes:       Here we display/view/enable the widgets in the
               user-interface.  In addition, OPEN all queries
               associated with each FRAME and BROWSE.
               These statements here are based on the "Other 
               Settings" section of the widget Property Sheets.
------------------------------------------------------------------------------*/

  {&OPEN-QUERY-DEFAULT-FRAME}
  GET FIRST DEFAULT-FRAME.
  DISPLAY cPassword 
      WITH FRAME DEFAULT-FRAME IN WINDOW C-Win.
  IF AVAILABLE Identity THEN 
    DISPLAY Identity.identityID Identity.identityName Identity.identityRoles 
      WITH FRAME DEFAULT-FRAME IN WINDOW C-Win.
  ENABLE Identity.identityID bAdd Identity.identityName bSave 
         Identity.identityRoles bDelete bCancel cPassword BtnFirst BtnPrev 
         BtnNext BtnLast 
      WITH FRAME DEFAULT-FRAME IN WINDOW C-Win.
  {&OPEN-BROWSERS-IN-QUERY-DEFAULT-FRAME}
  VIEW C-Win.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

